NNG_LISTENER_ID(3)

NAME
nng_listener_id - return numeric listener identifier

SYNOPSIS

    #include <nng/nng.h>

    int nng_listener_id(nng_listener l);

DESCRIPTION

The nng_listener_id() function returns a positive identifier for the listener l, if it is valid. Otherwise it returns -1.

    Note

    A listener is considered valid if it was ever created with the nng_listener_create() or nng_listen() functions. listeners that are allocated on the stack or statically should be initialized with the macro NNG_LISTENER_INITIALIZER to ensure that they cannot be confused with a valid listener before they are created properly.

RETURN VALUES

This function returns the positive value for the listener identifier, or -1 if the listener is invalid.

ERRORS

None.

SEE ALSO

nng_listener(5), nng(7)